Skip to main content
PATCH
Update a client

Path Parameters

clientId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Body

application/merge-patch+json

Representation used to patch an existing client using the JSON Merge Patch format and processing rules.

givenName
string | null
surname
string | null
nickname
string | null
phoneNumber
string | null
birthDate
string | null

A date, expressed in YYYY-MM-DD RFC 3339 date format.

Pattern: ^\d{4}-\d{2}-\d{2}$
emailAddress
string | null
profilePhoto_URL
string | null
allergies
string[] | null
languages
string[] | null
hairType
string | null

Response

Ok. The operation succeeded.

givenName
string
required
allergies
string[]
required
languages
string[]
required
id
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

averageAppointmentCost
string<decimal>
required

A monetary amount in the lowest denomination for the given currency. The numeric value is represented as a string so that it can be exact with no loss of precision. Values may be positive or negative.

Pattern: ^-?(0|[1-9][0-9]*)\.[0-9][0-9]$
Example:

"456.78"

averageTipAmount
string<decimal>
required

A monetary amount in the lowest denomination for the given currency. The numeric value is represented as a string so that it can be exact with no loss of precision. Values may be positive or negative.

Pattern: ^-?(0|[1-9][0-9]*)\.[0-9][0-9]$
Example:

"456.78"

state
enum<string>
required
Available options:
invited,
accepted
noShowCount
integer<uint16>
required

The client's no-show appointment count.

createdAt
string<date-time>
required

The date-time when this resource was created, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

updatedAt
string<date-time>
required

The date-time when this resource was updated, in RFC 3339 date-time YYYY-MM-DDThh:mm:ss.sssZ format, UTC. This is derived and immutable.

appointmentCount
integer<uint16>
required
lateCancelationCount
integer<uint16>
required
nickname
string
phoneNumber
string
birthDate
string

A date, expressed in YYYY-MM-DD RFC 3339 date format.

Pattern: ^\d{4}-\d{2}-\d{2}$
emailAddress
string
profilePhoto_URL
string
surname
string

The client's full surname when the authenticated barber may see it.

displayName
string

The client name the authenticated barber may display under the customer's surname visibility preference.

hairType
string
profilePhoto
object

The photo assigned to the client.

lastAppointmentAt
string<date-time>
nextAppointmentAt
string<date-time>
review
object